Subject: Re: Call for adoption: <draft-krishnan-6man-sids-00>

From: Miya Kohno <[email-masked]>
Date: Mon, 4 Apr 2022 10:53:26 +0900

I support WG adoption of this draft.

Miya

On Thu, Mar 31, 2022 at 5:31 AM Bob Hinden <[email-masked]> wrote:

> This message starts a two week 6MAN call on adopting:
>
>    Title:          Segment Identifiers in SRv6
>    Authors:        S. Krishnan
>    File Name:      draft-krishnan-6man-sids-00
>    Document date:  February 10, 2022
>
>    https://datatracker.ietf.org/doc/html/draft-krishnan-6man-sids-00
>
> as a 6MAN working group document.
>
> For background this draft was the result a query to the 6MAN working group
> from the SPRING w.g. chairs regarding regarding
> draft-filsfilscheng-spring-srv6-srh-compression.  The query was:
>
>   https://mailarchive.ietf.org/arch/msg/ipv6/5IpkHf5tVa-G4sKca-EWGEziYSo/
>
> After an active discussion, the reply from the 6MAN chairs and ADs was:
>
>   https://mailarchive.ietf.org/arch/msg/ipv6/rGgpWZyPaKonLaeuT37D7qZ1Vcw/
>
> This topic was also presented at IETF 112, slides here:
>
>
> https://datatracker.ietf.org/meeting/112/materials/slides-112-6man-srv6-sids-00
>
> Substantive comments and statements of support for adopting this document
> should be sent to the mailing list.  Editorial suggestions can be sent to
> the author.  This adoption call will end on 13 April 2022.
>
> Further, if you are willing to work on this document, either as
> contributor, author, or reviewer please notify the list.   This will
> provide the chairs with an indication of the energy level in the working
> group to work on this document.
>
> Bob, Jen, Ole
>
>
>
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>

---

From: Gyan Mishra <[email-masked]>
Date: Mon, 4 Apr 2022 00:33:13 -0400

Suresh

I would like to help contributing to the draft.

Thanks

Gyan

-- 

<http://www.verizon.com/>

*Gyan Mishra*

*Network Solutions A**rchitect *

*Email [email-masked] <[email-masked]>*

*M 301 502-1347*

---

From: Stefano Salsano <[email-masked]>
Date: Mon, 4 Apr 2022 14:50:03 +0200

I support the adoption of draft-krishnan-6man-sids-00 as a 6MAN working 
group document

I am interested to contribute to the revision of the document and also 
to help as an author if needed

Stefano

Il 2022-03-30 22:30, Bob Hinden ha scritto:
> For background this draft was the result a query to the 6MAN working group from the SPRING w.g. chairs regarding regarding draft-filsfilscheng-spring-srv6-srh-compression.  The query was:
> 
> Substantive comments and statements of support for adopting this document should be sent to the mailing list.  Editorial suggestions can be sent to the author.  This adoption call will end on 13 April 2022.
> 
> Further, if you are willing to work on this document, either as contributor, author, or reviewer please notify the list.   This will provide the chairs with an indication of the energy level in the working group to work on this document.
> 
> Bob, Jen, Ole
> 
> 
> 
> 

-- 
*******************************************************************
Stefano Salsano
Professore Associato
Dipartimento Ingegneria Elettronica
Universita' di Roma Tor Vergata
Viale Politecnico, 1 - 00133 Roma - ITALY

http://netgroup.uniroma2.it/Stefano_Salsano/

E-mail  : [email-masked]
Cell.   : +39 320 4307310
Office  : (Tel.) +39 06 72597770 (Fax.) +39 06 72597435
*******************************************************************

---

From: "john leddy.net" <[email-masked]>
Date: Mon, 4 Apr 2022 12:58:07 -0400 (EDT)

I support the adoption of draft-krishnan-6man-sids-00

John

> 
> On 2022-03-30, 4:31 PM, "ipv6 on behalf of Bob Hinden" <[email-masked] on behalf of [email-masked]> wrote:
>

---

From: Robert Raszuk <[email-masked]>
Date: Mon, 4 Apr 2022 19:07:59 +0200

Support

---

From: Paul Mattes <[email-masked]>
Date: Mon, 4 Apr 2022 20:48:34 +0000

Support.

                pdm

-----Original Message-----
From: ipv6 <[email-masked]> On Behalf Of Bob Hinden
Sent: Wednesday, March 30, 2022 3:31 PM
To: IPv6 List <[email-masked]>
Cc: Bob Hinden <[email-masked]>
Subject: Call for adoption: <draft-krishnan-6man-sids-00>

Bob, Jen, Ole

---

From: Lihao <[email-masked]>
Date: Wed, 6 Apr 2022 01:51:06 +0000

Hi WG

I support the adoption. It is very important to make a clear description of IPv6 Address and SRv6 segment at this stage.

-----Original Message-----
From: ipv6 [mailto:[email-masked]] On Behalf Of Bob Hinden
Sent: Thursday, March 31, 2022 4:31 AM
To: IPv6 List <[email-masked]>
Cc: Bob Hinden <[email-masked]>
Subject: Call for adoption: <draft-krishnan-6man-sids-00>

Bob, Jen, Ole

-------------------------------------------------------------------------------------------------------------------------------------
本邮件及其附件含有新华三集团的保密信息，仅限于发送给上面地址中列出
的个人或群组。禁止任何其他人以任何形式使用（包括但不限于全部或部分地泄露、复制、
或散发）本邮件中的信息。如果您错收了本邮件，请您立即电话或邮件通知发件人并删除本
邮件！
This e-mail and its attachments contain confidential information from New H3C, which is
intended only for the person or entity whose address is listed above. Any use of the
information contained herein in any way (including, but not limited to, total or partial
disclosure, reproduction, or dissemination) by persons other than the intended
recipient(s) is prohibited. If you receive this e-mail in error, please notify the sender
by phone or email immediately and delete it!

---

From: Paolo Volpato <[email-masked]>
Date: Wed, 6 Apr 2022 06:48:44 +0000

I support the adoption of this draft, as it discusses the relationship of SRv6 SIDs to the IPv6 Addressing Architecture.

Regards
Paolo

-----Original Message-----
From: ipv6 <[email-masked]> On Behalf Of Bob Hinden
Sent: Wednesday, March 30, 2022 10:31 PM
To: IPv6 List <[email-masked]>
Cc: Bob Hinden <[email-masked]>
Subject: Call for adoption: <draft-krishnan-6man-sids-00>

Bob, Jen, Ole

---

From: Antonio Cianfrani <[email-masked]>
Date: Wed, 6 Apr 2022 10:05:57 +0200

I support the adoption of the draft.
Kind regards,
Antonio Cianfrani

Il giorno mer 6 apr 2022 alle ore 08:49 Paolo Volpato <paolo.volpato=
[email-masked]> ha scritto:

> I support the adoption of this draft, as it discusses the relationship of
> SRv6 SIDs to the IPv6 Addressing Architecture.
>
> Regards
> Paolo
>

---

From: Martin Horneffer <[email-masked]>
Date: Wed, 6 Apr 2022 14:56:56 +0200

Dear wg,

I definitely support the adoption of this draft.

Best regards, Martin

---

From: Giuseppe Fioccola <[email-masked]>
Date: Wed, 6 Apr 2022 13:31:55 +0000

Dear Bob, All,
I support the adoption of this draft.

Regards,

Giuseppe

-----Original Message-----
From: ipv6 <[email-masked]> On Behalf Of Bob Hinden
Sent: Wednesday, March 30, 2022 10:31 PM
To: IPv6 List <[email-masked]>
Cc: Bob Hinden <[email-masked]>
Subject: Call for adoption: <draft-krishnan-6man-sids-00>

Bob, Jen, Ole

---

From: Kentaro Ebisawa <[email-masked]>
Date: Wed, 6 Apr 2022 22:33:04 +0900

I support the adoption of this draft.
I would expect this document and discussion while improving this document will help clarify questions around SRv6 SIDs and the IPv6 addressing architecture.

-- 
Kentaro Ebisawa | IETF:<[email-masked]>  | Biz:<[email-masked]>

On 2022/03/31 5:30, Bob Hinden wrote:
> Administrative Requests:https://www.ietf.org/mailman/listinfo/ipv6

---

From: "Zafar Ali (zali)" <[email-masked]>
Date: Wed, 6 Apr 2022 13:49:35 +0000

Dear chairs and the WG, 

I support the adoption of this document by the working group

Thanks
 
Regards … Zafar 

On 3/30/22, 4:31 PM, "ipv6 on behalf of Bob Hinden" <[email-masked] on behalf of [email-masked]> wrote:

    Bob, Jen, Ole

---

From: "Chengli (Cheng Li)" <[email-masked]>
Date: Thu, 7 Apr 2022 07:31:34 +0000

I support the adoption, and would like to help to progress it in the future.

Thanks,
Cheng

-----Original Message-----
From: ipv6 [mailto:[email-masked]] On Behalf Of Bob Hinden
Sent: Thursday, March 31, 2022 4:31 AM
To: IPv6 List <[email-masked]>
Cc: Bob Hinden <[email-masked]>
Subject: Call for adoption: <draft-krishnan-6man-sids-00>

Bob, Jen, Ole

---

From: "[email-masked]" <[email-masked]>
Date: Fri, 8 Apr 2022 17:32:00 +0800

I support the adoption of this dafte.
B.R.
       Yongqing Zhu

[email-masked]
 
From: Bob Hinden
Date: 2022-03-31 04:30
To: IPv6 List
CC: Bob Hinden

 

 

 

 
Bob, Jen, Ole

---

From: "[email-masked]" <[email-masked]>
Date: Sat, 9 Apr 2022 09:06:22 +0800

Hi, all,

Chongfeng
 
From: Bob Hinden
Date: 2022-03-31 04:30
To: IPv6 List
CC: Bob Hinden

 

 

 

 
Bob, Jen, Ole

---

From: "Pengshuping (Peng Shuping)" <[email-masked]>
Date: Mon, 11 Apr 2022 06:13:00 +0000

I support the adoption of this draft, which is very a useful and clear document. 

Thank you!

Best Regards, 
Shuping 

-----Original Message-----
From: ipv6 [mailto:[email-masked]] On Behalf Of Bob Hinden
Sent: Thursday, March 31, 2022 4:31 AM
To: IPv6 List <[email-masked]>
Cc: Bob Hinden <[email-masked]>
Subject: Call for adoption: <draft-krishnan-6man-sids-00>

Bob, Jen, Ole

---

From: <[email-masked]>
Date: Mon, 11 Apr 2022 15:39:46 +0800 (CST)

Hi all,

At the same time, I've noticed that RFC8200's rule on how to compute upper-layer checksum might be updated by the introduction of compressed SIDs.
In order to compute checksum for upper-layer protocol, section 8.1 of RFC 8200 defines the TCP and UDP "pseudo-header" for IPv6, with respect to the Destination Address of the "pseudo-header", it says
"      o  If the IPv6 packet contains a Routing header, the Destination
         Address used in the pseudo-header is that of the final
         destination.  At the originating node, that address will be in
         the last element of the Routing header; at the recipient(s),
         that address will be in the Destination Address field of the
         IPv6 header.
"
In one case of compressed SIDs, a Routing header isn't there and the IPv6 destination address isn't that of the final destination; In the other case of compressed SIDs, a Routing header is there and the destination address of the final destination isn't in the last element of the Routing header. For both cases section 8.1 of RFC 8200 needs update.

IMO the checksum issue needs to be recorded somewhere and this draft seems the right place, or I can initiate a new draft on this if it's preferred.

Best Regards,
Xiao Min
------------------原始邮件------------------
发件人：BobHinden
收件人：IPv6 List;
抄送人：Bob Hinden;
日 期 ：2022年03月31日 04:32
主 题 ：Call for adoption: <draft-krishnan-6man-sids-00>

---

From: "Chongfeng Xie" <[email-masked]>
Date: Mon, 11 Apr 2022 21:06:30 +0800

Hi，Xiao Min,
Your thought about checksum sounds interesting, I support the initiation of a draft on this.

Regards
Chongfeng
From: [email-masked]
Date: 2022-04-11 15:39
To: [email-masked]
CC: bob.hinden; ipv6
Subject: Re:Call for adoption: <draft-krishnan-6man-sids-00>
Hi all,

 
 
Best Regards,
Xiao Min
------------------原始邮件------------------
发件人：BobHinden
收件人：IPv6 List;
抄送人：Bob Hinden;
日 期 ：2022年03月31日 04:32

---

From: yong zhao <[email-masked]>
Date: Mon, 11 Apr 2022 21:40:15 +0800

Hi All,

Thanks
Yong Zhao

> On Mar 31, 2022, at 4:30 AM, Bob Hinden <[email-masked]> wrote:
> 
> <Message signed with OpenPGP.asc>--------------------------------------------------------------------

---

From: Lizhenbin <[email-masked]>
Date: Mon, 11 Apr 2022 15:02:18 +0000

Hi All,

Best Regards,
Robin

________________________________

李振斌 Li Zhenbin
Mobile: +86-13651017745/+968-91797068
Email: [email-masked]

发件人：Bob Hinden <[email-masked]>
收件人：IPv6 List <[email-masked]>
抄 送：Bob Hinden <[email-masked]>
时 间：2022-03-30 15:32:00
主 题：Call for adoption:

Bob, Jen, Ole

---

From: "Ahmed Abdelsalam (ahabdels)" <[email-masked]>
Date: Mon, 11 Apr 2022 20:23:02 +0000

I support the adoption of draft-krishnan-6man-sids. Thanks!

From: ipv6 <[email-masked]> on behalf of Bob Hinden <[email-masked]>
Date: Wednesday, 30 March 2022 at 22:31
To: IPv6 List <[email-masked]>
Cc: Bob Hinden <[email-masked]>
Subject: Call for adoption: <draft-krishnan-6man-sids-00>
This message starts a two week 6MAN call on adopting:

Bob, Jen, Ole

---

From: "Janssens, Bart" <[email-masked]>
Date: Tue, 12 Apr 2022 06:38:52 +0000

Dear group,

Colt Technology Services supports draft adoption as part of its future SR strategy.

Sincerely,
Bart Janssens
Senior Specialist Packet Architecture

-----Original Message-----
From: ipv6 <[email-masked]> On Behalf Of Bob Hinden
Sent: Wednesday, March 30, 2022 10:31 PM
To: IPv6 List <[email-masked]>
Cc: Bob Hinden <[email-masked]>
Subject: Call for adoption: <draft-krishnan-6man-sids-00>

Bob, Jen, Ole

[Colt Disclaimer] This email is from an entity of the Colt group of companies. Colt Group Holdings Limited, Colt House, 20 Great Eastern Street, London, EC2A 3EH, United Kingdom, registered in England and Wales, under company number 11530966. Corporate and contact information for our entities can be found at https://www.colt.net/legal/colt-group-of-companies/. Internet communications are not secure and Colt does not accept responsibility for the accurate transmission of this message. Content of this email or its attachments is not legally or contractually binding unless expressly previously agreed in writing by Colt

---

From: <[email-masked]>
Date: Tue, 12 Apr 2022 15:31:59 +0800 (CST)

Hi Chongfeng,

Thanks for your interest and support.

Best Regards,
Xiao Min
------------------原始邮件------------------
发件人：ChongfengXie
收件人：肖敏10093570;Bob Hinden;
抄送人：Bob Hinden;IPv6 List;
日 期 ：2022年04月11日 21:06
主 题 ：Re: Re:Call for adoption: <draft-krishnan-6man-sids-00>

Hi，Xiao Min,

Best Regards,
Xiao Min
------------------原始邮件------------------
发件人：BobHinden
收件人：IPv6 List;
抄送人：Bob Hinden;
日 期 ：2022年03月31日 04:32

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Tue, 12 Apr 2022 08:00:37 +0000

Hi Chairs, 

I support the adoption of this document. It is useful to clarify the relationship between SRv6 SIDs and IPv6 addresses. 

Best regards,
Jie

> should be sent to the mailing list.  Editorial suggestions can be sent to the
> author.  This adoption call will end on 13 April 2022.
> 
> Further, if you are willing to work on this document, either as contributor,
> author, or reviewer please notify the list.   This will provide the chairs with an
> indication of the energy level in the working group to work on this document.
> 
> Bob, Jen, Ole
> 
>

---

From: "Richard Vallee (rvallee)" <[email-masked]>
Date: Wed, 13 Apr 2022 01:10:28 +0000

Ben, Jen, Ole and the 6MAN WG, 

Thanks
Richard

        Bob, Jen, Ole

---

From: Ketan Talaulikar <[email-masked]>
Date: Wed, 13 Apr 2022 08:10:15 +0530

Hello,

This document takes up the task of clarifying several aspects related to
SRv6 SID vis-à-vis IPv6 addressing and processing. I believe it would be
very helpful for the community and support its adoption by the WG.

I will also volunteer to review and contribute to it.

Thanks,
Ketan

---

From: "Chung, Ting Wo" <[email-masked]>
Date: Thu, 14 Apr 2022 04:08:26 +0000

I support the adoption and can contribute. Thanks.

Best Regards,
T.W. (Ting Wo) Chung

On 2022-03-30, 4:30 PM, "ipv6 on behalf of Bob Hinden" <[email-masked] on behalf of [email-masked]> wrote:

    Bob, Jen, Ole